package kz.arta.synergy.workflow.mobile.android.works.models;

/**
 * Created by neox on 20.08.14.
 * Завершение работы процессом
 */
public class FinishProcessWorkItem {

    /**
     * UUID работы
     */
    private String actionID;

    /**
     * UUID процесса
     */
    private String procInstID;

    /**
     * Тип
     */
    private String signal;

    /**
     * Коментарий
     */
    private String comment;

    /**
     * Добавить подпись или нет
     */
    private boolean addSignature;

    /**
     * rawData
     */
    private String rawdata;

    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getActionID() {
        return actionID;
    }

    public void setActionID(String actionID) {
        this.actionID = actionID;
    }

    public String getProcInstID() {
        return procInstID;
    }

    public void setProcInstID(String procInstID) {
        this.procInstID = procInstID;
    }

    public String getSignal() {
        return signal;
    }

    public void setSignal(String signal) {
        this.signal = signal;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public boolean isAddSignature() {
        return addSignature;
    }

    public void setAddSignature(boolean addSignature) {
        this.addSignature = addSignature;
    }

    public String getRawdata() {
        return rawdata;
    }

    public void setRawdata(String rawdata) {
        this.rawdata = rawdata;
    }
}
